cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v1/agents/{agentId}const options = {method: 'GET'};
fetch('https://public.api.live.turrisfi.com/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v1/agents/{agentId}"
response = requests.get(url)
print(response.text){
"data": {
"agent": {
"_id": "<string>",
"npn": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"downstreamEntityAgentAssociationIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"middleName": "<string>"
},
"creationPath": "addition",
"niprDataSubscription": {
"dataOwnerId": "<string>",
"dataOwnerModel": "<string>",
"entityModel": "<string>",
"entityInfo": {
"status": "<string>",
"jobId": "<string>",
"message": "<string>",
"rawEntityInfoId": "<string>"
},
"npn": "<string>",
"lastSynchronizationDate": "2023-11-07T05:31:56Z",
"pdbAlertsSubscriptionStatus": "<string>",
"pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
},
"isUploadedByUpstreamEntity": true,
"isDeleted": true,
"isArchived": true,
"authority": [
{
"upstreamEntityProductId": "<string>",
"requestedStates": [
"CA",
"TX",
"NY"
],
"approvedStates": [
"CA",
"TX"
]
}
],
"email": "<string>",
"isDeliverable": true,
"externalId": "<string>"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Agents
Get Agent
Retrieve details for a specific agent
GET
/
v1
/
agents
/
{agentId}
cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v1/agents/{agentId}const options = {method: 'GET'};
fetch('https://public.api.live.turrisfi.com/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v1/agents/{agentId}"
response = requests.get(url)
print(response.text){
"data": {
"agent": {
"_id": "<string>",
"npn": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"downstreamEntityAgentAssociationIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"middleName": "<string>"
},
"creationPath": "addition",
"niprDataSubscription": {
"dataOwnerId": "<string>",
"dataOwnerModel": "<string>",
"entityModel": "<string>",
"entityInfo": {
"status": "<string>",
"jobId": "<string>",
"message": "<string>",
"rawEntityInfoId": "<string>"
},
"npn": "<string>",
"lastSynchronizationDate": "2023-11-07T05:31:56Z",
"pdbAlertsSubscriptionStatus": "<string>",
"pdbAlertsPausedAt": "2023-11-07T05:31:56Z"
},
"isUploadedByUpstreamEntity": true,
"isDeleted": true,
"isArchived": true,
"authority": [
{
"upstreamEntityProductId": "<string>",
"requestedStates": [
"CA",
"TX",
"NY"
],
"approvedStates": [
"CA",
"TX"
]
}
],
"email": "<string>",
"isDeliverable": true,
"externalId": "<string>"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns detailed information about a specific agent by their ID.
Path Parameters
The unique identifier of the agent
Query Parameters
Filter by producer code
Example:
"PROD-001"
Filter by downstream entity association ID
Example:
"507f1f77bcf86cd799439011"
Was this page helpful?